# Fetch user by id or email

Endpoint: GET /user
Version: 3.0.0
Security: bearerAuth, apiKeyAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer Token

  - `apiKeyAuth` (unknown)
    apiKey in header Key

## Query parameters:

  - `id` (string)
    User id

  - `email` (string)
    User email

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `serialVersionUID` (object)
    Unresolved type (staticfinallong)

  - `schemas` (array)
    last modified time of the case

  - `userName` (string)
    This will contain the unique parameter on sprinklr's. This will be email Id.

  - `name` (object)
    Name of the user

  - `name.familyName` (string)
    family name of the user

  - `name.givenName` (string)
    given name of the user

  - `photos` (array)
    User Photos

  - `photos.value` (string)
    value of the attribute

  - `photos.type` (string)
    type of attribute

  - `photos.primary` (boolean)
    if this is a primary attribute

  - `phoneNumbers` (array)
    Phone Numbers

  - `active` (boolean)
    By default, user will be created in inactive state

  - `locale` (string)
    Locale of the created

  - `globalAttributes` (object)
    Partner level attributes, which cannot be mapped to SCIM attributes.

  - `globalAttributes.partnerCustomProperties` (object)
    list of partner custom properties of the user

  - `globalAttributes.federationId` (string)
    federation id corresponding to the global attributes

  - `globalAttributes.productSeat` (string)
    Product Seat occupied by the user.

  - `globalAttributes.passwordLoginDisabled` (boolean)
    if password login is disabled

  - `clientAttributes` (array)
    Client Level attributes.

  - `clientAttributes.clientId` (integer)
    client id corresponding to attributes

  - `clientAttributes.userType` (string)
    userType

  - `clientAttributes.phoneNumbers` (array)
    list of attributes

  - `clientAttributes.businessCategory` (string)
    business category

  - `clientAttributes.primaryUserGroupId` (string)
    primary user group id of the attributes

  - `clientAttributes.userGroupIds` (array)
    list of user group ids corresponding to the attributes

  - `clientAttributes.clientCustomProperties` (object)
    list of client custom properties

  - `clientAttributes.designation` (string)
    designation

  - `clientAttributes.department` (string)
    department

  - `clientAttributes.managerId` (integer)
    User Id of manager

  - `clientAttributes.managerEmailAddress` (string)
    Email Address of manager

  - `clientAttributes.managerFederationId` (string)
    Federation Id of manager

  - `clientAttributes.isApprovalMandatory` (boolean)
    If approval is mandatory

  - `clientAttributes.sessionTimeout` (integer)
    Session Timeout

  - `clientAttributes.customProfileConfigs` (array)
    Custom Profile Configs

  - `clientAttributes.customProfileConfigs.userId` (integer)

  - `clientAttributes.customProfileConfigs.channelType` (string)

  - `clientAttributes.customProfileConfigs.customProfileEnabled` (boolean)

  - `clientAttributes.customProfileConfigs.shouldUseDefaultProfile` (boolean)

  - `clientAttributes.customProfileConfigs.sprCustomProfileConfigs` (array)

  - `clientAttributes.customProfileConfigs.sprCustomProfileConfigs.id` (string)

  - `clientAttributes.customProfileConfigs.sprCustomProfileConfigs.url` (string)

  - `clientAttributes.customProfileConfigs.sprCustomProfileConfigs.name` (string)

  - `clientAttributes.customProfileConfigs.sprCustomProfileConfigs.enabled` (boolean)

  - `clientAttributes.customProfileConfigs.sprCustomProfileConfigs.userId` (integer)

  - `clientAttributes.customProfileConfigs.sprCustomProfileConfigs.channelType` (string)

  - `clientAttributes.customProfileConfigs.sprCustomProfileConfigs.accountId` (integer)

  - `clientAttributes.approverUserGroupId` (string)
    Approver user group id of the attributes

  - `clientAttributes.persona` (string)
    Persona of user

  - `clientAttributes.personaApp` (string)
    Persona App of user

  - `clientAttributes.personaViewEnabled` (boolean)
    Is persona view enabled

  - `clientAttributes.spaceAppMobileViewForbidden` (boolean)
    If Space App mobile view is forbidden for the user

  - `userSeats` (array)
    User Seats.

  - `userSeats.id` (string)

  - `userSeats.userId` (integer)

  - `userSeats.module` (string)

  - `userSeats.seatType` (string)

  - `userSeats.addOnType` (string)

  - `userSeats.assignDate` (integer)

  - `userSeats.unassignDate` (integer)

  - `userSeats.expired` (boolean)

  - `isSpaceUser` (boolean)
    If the user is a space User.

  - `emails` (array)
    List User Emails

  - `enterpriseUser` (object)
    Describes the schema for enterprise user in SCIM

  - `userAssignmentConfig` (object)
    User Assignment Configuration

  - `userAssignmentConfig.userId` (string)
    User Id

  - `userAssignmentConfig.capacities` (array)
    User's Capacities

  - `userAssignmentConfig.capacities.id` (string)
    Capacity Id

  - `userAssignmentConfig.capacities.capacity` (integer)
    Work Assignment Capacity

  - `userAssignmentConfig.capacities.activeConversationCapacity` (integer)
    Active Work Conversation Capacity

  - `userAssignmentConfig.proficiencies` (object)
    User's Proficiencies in different Skill, Channel and Language

  - `userAssignmentConfig.proficiencies.skillVsProficiency` (object)
    Skill Level Proficiencies for user

  - `userAssignmentConfig.proficiencies.languageVsProficiency` (object)
    Language Proficiencies for user

  - `userAssignmentConfig.proficiencies.channelVsProficiency` (object)
    Channel Level Proficiencies for user

  - `userAssignmentConfig.capacityConfigId` (string)
    User's Capacity Config Id

  - `userAssignmentConfig.capacityConfigName` (string)
    User's Capacity Config Name

  - `userAssignmentConfig.timeZone` (object)
    User's Time Zone

  - `userAssignmentConfig.timeZone.timeZone` (string)
    Time Zone

  - `userAssignmentConfig.timeZone.country` (string)
    Country

  - `userVoiceConfig` (object)
    User Voice Configuration

  - `userVoiceConfig.userId` (string)
    User Id

  - `userVoiceConfig.autoAnswer` (boolean)
    Auto Answer Enabled

  - `userVoiceConfig.autoAnswerWaitTime` (integer)
    Auto Answer WaitTime in Millis

  - `userVoiceConfig.useVoipCall` (boolean)
    User Voip Call

  - `userVoiceConfig.sipUserName` (string)
    Sip User Name

  - `userVoiceConfig.sipVoiceAccountId` (string)
    Sip Voice Account Id

  - `currentLoginStatus` (string)
    Current Login Status

  - `upcomingStatus` (string)
    Upcoming Status

  - `supervisorTeamIds` (array)
    Supervisor Team IDs

  - `recordingShareConfigs` (array)
    Recording Share Configs

  - `recordingShareConfigs.type` (string, required)
    Type e.g. USER, GLOBAL, CLIENT

  - `recordingShareConfigs.ids` (array)
    IDs based on type.

  - `customPropertiesMetadata` (array)
    Custom Property details

  - `customPropertiesMetadata.fieldName` (string)
    CustomField fieldName

  - `customPropertiesMetadata.type` (string)
    CustomField type

  - `customPropertiesMetadata.label` (string)
    CustomField label

  - `customPropertiesMetadata.clientCustomProperty` (boolean)
    Client CustomField

  - `customPropertiesMetadata.values` (array)
    Custom Field values

  - `assignmentData` (object)
    Assignment Data

  - `assignmentData.activeAssignments` (object)
    Map of channel to active assignment count

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 401:

  - `401` (unknown)
    Missing or invalid authentication

## Response 401 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 403:

  - `403` (unknown)
    Insufficient permissions

## Response 403 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

